#!/usr/bin/env sh

set -e

rm ./*.tar.gz

mkdir bin

GOOS=linux GOARCH=amd64 go build -o bin/epochcli-linux-amd64
tar czvf epochcli-linux-amd64.tar.gz bin/epochcli-linux-amd64

GOOS=linux GOARCH=arm64 go build -o bin/epochcli-linux-arm64
tar czvf epochcli-linux-arm64.tar.gz bin/epochcli-linux-arm64

GOOS=darwin GOARCH=amd64 go build -o bin/epochcli-darwin-amd64
tar czvf epochcli-darwin-amd64.tar.gz bin/epochcli-darwin-amd64

GOOS=darwin GOARCH=arm64 go build -o bin/epochcli-darwin-arm64
tar czvf epochcli-darwin-arm64.tar.gz bin/epochcli-darwin-arm64

rm -rf bin